#include <stdio.h>
#include <stdlib.h>
#include <string.h>

typedef struct headerInfo {
        char type[3];
        int width;
        int height;
        int maxColor;
} ppmHeader;

typedef struct pixel {
        int r;
        int g;
        int b;
} ppmPixel;

ppmHeader getHeader(void);
void writeHeader(ppmHeader);
void fillImageArray(ppmPixel[], int);
void writePixels(ppmPixel[], int, int);
void halfSizeWritePixels(ppmPixel[], int, int);



